%global momorel 2
%global		qtver 4.4.0
%global		qtdir %{_libdir}/qt4

Name:		qedje
Version:	0.3.0
Release:	%{momorel}m%{?dist}
Summary:	a declarative language that simplifies the development of complex interfaces
License:	GPLv3
Group:		System Environment/Libraries
URL:		http://dev.openbossa.org/trac/qedje/
Source0:	http://dev.openbossa.org/qedje/downloads/source/%{name}/%{name}-%{version}.tar.gz
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	qt-devel >= %{qtver}
BuildRequires:	kdelibs-devel
BuildRequires:	qzion-devel = %{version}
Requires:	qt >= %{qtver}
Requires:	qzion = %{version}

%description
Edje is a declarative language that simplifies the development of complex interfaces separating 
the UI design from the application logic, by providing animations, layouts and simple scripts 
in a very small memory footprint. 

%package devel
Summary:	heders and libraries for %{name}
Group:		System Environment/Libraries
Requires:	%{name} = %{version}

%description devel
heders and libraries for %{name}

%prep
%setup -q

%build
qmake-qt4
make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
## 
mkdir -p %{buildroot}{%{_includedir},%{_libdir}/pkgconfig}
install -m 755 -p src/libqedje.so.0.3.0 %{buildroot}%{_libdir}
ln -sf libqedje.so.0.3.0 %{buildroot}%{_libdir}/libqedje.so
ln -sf libqedje.so.0.3.0 %{buildroot}%{_libdir}/libqedje.so.0
ln -sf libqedje.so.0.3.0 %{buildroot}%{_libdir}/libqedje.so.0.3
install -m 644 -p src/libqedje.prl %{buildroot}%{_libdir}
install -m 644 -p src/pkgconfig/qedje.pc %{buildroot}%{_libdir}/pkgconfig
install -m 644 -p src/qedje.h %{buildroot}%{_includedir}
install -m 644 -p src/qedjeimage.h %{buildroot}%{_includedir}
install -m 644 -p src/qedjeloader.h %{buildroot}%{_includedir}
install -m 644 -p src/qedjerealpart.h %{buildroot}%{_includedir}
install -m 644 -p src/qrunningprogram.h %{buildroot}%{_includedir}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS.libedje COPYING* NEWS README ROADMAP TODO
%{_libdir}/libqedje.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/*.h
%{_libdir}/libqedje.so
%{_libdir}/libqedje.prl
%{_libdir}/pkgconfig/qedje.pc

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.0-2m)
- rebuild against rpm-4.6

* Fri Oct  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.0-1m)
- initial build for Momonga Linux 5
